petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMMoabLoadFromFile

Creates a DM object by loading the mesh from a user specified file.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabLoadFromFile(MPI_Comm comm, PetscInt dim, PetscInt nghost, const char* filename, const char* usrreadopts, DM *dm)

Collective

### Input Parameters

| comm | - The communicator for the DM object
| dim | - The spatial dimension
| filename | - The name of the mesh file to be loaded
| usrreadopts | - The options string to read a MOAB mesh.

Reference (Parallel Mesh Initialization: https://www.mcs.anl.gov/~fathom/moab-docs/html/contents.html#fivetwo)

### Output Parameter

dm -The DM object

### See Also

DMSetType(), DMCreate(), DMMoabCreateBoxMesh()

### Level

beginner

### Location

src/dm/impls/moab/dmmbutil.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages